#include<iostream>
using namespace std;

int main()
{
    int N, st[100001], fi[100001], br=0, j=0;
    bool last_found=false;
    cin>>N;
    for(int i=0;i<N;i++){cin>>st[i];}
    for(int i=0;i<N;i++){cin>>fi[i];}
    for(int i=0;i<N;i++)
    {
        if(i!=0)
        {
            if(st[i]==fi[j])
            {
                last_found=true;
            }
            else
            {
                last_found=false;
            }
        }
        if(!last_found)
        {
            j=0;
            while(st[i]!=fi[j])
            {
                j++;
            }
            br++;
            last_found=true;
        }
        j++;
    }
    cout<<br<<endl;
    return 0;
}